package domain

type AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest struct {
	/*
	   折扣率 范围(0,100) 比如78折传78，8折传80。对应 discountType=7时必传     */
	DiscountRate *int64 `json:"discount_rate,omitempty" `

	/*
	   过期时间。不传默认为当前时间+90天。最大支持有效期为90天后。     */
	ExpireTime *string `json:"expire_time,omitempty" `

	/*
	   一口价。单位分。对应 discountType=8 时必传     */
	DiscountPrice *int64 `json:"discount_price,omitempty" `

	/*
	   折扣码类型, 7为折扣率码，8为一口价码     */
	DiscountType *int64 `json:"discount_type,omitempty" `

	/*
	   门店编码     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   商品编码     */
	SkuCode *string `json:"sku_code,omitempty" `
}

func (s *AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest) SetDiscountRate(v int64) *AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest {
	s.DiscountRate = &v
	return s
}
func (s *AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest) SetExpireTime(v string) *AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest {
	s.ExpireTime = &v
	return s
}
func (s *AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest) SetDiscountPrice(v int64) *AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest {
	s.DiscountPrice = &v
	return s
}
func (s *AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest) SetDiscountType(v int64) *AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest {
	s.DiscountType = &v
	return s
}
func (s *AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest) SetStoreId(v string) *AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest) SetSkuCode(v string) *AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest {
	s.SkuCode = &v
	return s
}
